{% extends 'admin/base.html.twig' %}

{% block css %}
    <link rel="stylesheet" href="{{ asset('css/admin/categories/styles.css') }}"/>
    <link rel="stylesheet" href="{{ asset('css/admin/categories/media.css') }}"/>
{% endblock %}

{% block jsscript %}
    <script src="{{ asset('js/admin/categories/categories.js') }}"></script>
{% endblock %}

{% block content %}
    <div class="title-block">
        <h2>Создание категории</h2>
        <p>Создайте категорию здесь</p>
    </div>
    <div class="block-box">
        <div class="block-title">
            <p><span><i class="fas fa-pencil-alt"></i></span> Новая категория</p>
        </div>
        <div class="block-content">
            <form class="form-general">
                <table class="table table-bordered table-container">
                    <tbody>
                    <tr>
                        <td>
                            <label>Название:</label>
                        </td>
                        <td>
                            <input type="text" name="name" value="{{ category.name }}"/>
                        </td>
                    </tr>
                    </tbody>
                </table>
            </form>
        </div>
    </div>
    <div class="block-box">
        <div class="block-title">
            <p><span><i class="fas fa-pencil-alt"></i></span> Департменты + Meta Data</p>
        </div>
        <div class="block-content">
            <table class="table table-bordered table-container table-category-departments">
                <tbody>
                {% for categoryDepartment in category.departments %}
                    <tr class="row-category-department item-{{ categoryDepartment.id }}" data-department-item-id="{{ categoryDepartment.id }}">
                        <td>
                            <p class="category-department">{{ categoryDepartment.name }}</p>
                        </td>
                        <td>
                            <form>
                                <table class="table table-striped table-hover">
                                    <tr>
                                        <td>
                                            <label>Title:</label>
                                        </td>
                                        <td>
                                            <input type="text" name="title" value="{{ categoryDepartment.title }}"/>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <label>H1:</label>
                                        </td>
                                        <td>
                                            <input type="text" name="h1" value="{{ categoryDepartment.h1 }}"/>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <label>H1 span:</label>
                                        </td>
                                        <td>
                                            <input type="text" name="h1Span" value="{{ categoryDepartment.h1Span }}"/>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <label>Keywords:</label>
                                        </td>
                                        <td>
                                            <input type="text" name="keywords" value="{{ categoryDepartment.keywords }}"/>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <label>Description:</label>
                                        </td>
                                        <td>
                                            <input type="text" name="description" value="{{ categoryDepartment.description }}"/>
                                        </td>
                                    </tr>
                                </table>
                            </form>
                        </td>
                        <td style="text-align: center; width: 100px;">
                            <a href="" class="btn-delete-category-department-relation" data-department="{{ categoryDepartment.name }}" data-relation-id="{{ categoryDepartment.relationId }}" data-category-id="{{ category.id }}"><span class="i-delete"><i class="fas fa-trash-alt"></i></span></a>
                        </td>
                    </tr>
                {% endfor %}
                </tbody>
            </table>
            <div class="selector-departments-block">
                <label>Департменты: </label>
                <select class="department-list">
                    {% for department in departments %}
                        <option value="{{ department.id }}">{{ department.name }}</option>
                    {% endfor %}
                </select>
                <a href="#" class="btn-action btn-add btn-add-department"><i class="fas fa-plus"></i> Добавить</a>
            </div>
        </div>
    </div>
    <div class="block-box" style="border: none">
        <div class="block-footer">
            <a href="" class="btn-action btn-save btn-edit-category" data-category-id="{{ category.id }}"><i class="fas fa-check"></i> Сохранить</a>
        </div>
    </div>
{% endblock %}